<template>
    <ul class="bestsellers__list list">
        <product-card 
            v-for="product in products"
            :key="product.id"  
            :product="product"
        />
    </ul>
</template>

<script>
import ProductCard from './ProductCard.vue';
import {mapGetters} from 'vuex'
export default {
    components: {ProductCard},
    computed: {
        ...mapGetters({
            products: 'products/PRODUCTS'
        })
    },
}
</script>

<style scoped>
.list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
</style>